# fixed2float
[![Crates.io](https://img.shields.io/crates/v/fixed2float)](https://crates.io/crates/fixed2float)
[![PyPI](https://img.shields.io/pypi/v/fixed2float)](https://pypi.org/project/fixed2float/)
[![codecov](https://codecov.io/gh/urbanij/fixed2float/branch/master/graph/badge.svg?token=9JEMJTB2IT)](https://codecov.io/gh/urbanij/fixed2float)


Simple utility for fixed point to real number conversions, using the VisSim (Fx*m.b*) ~~and Q (Q*m.n*)~~ [notation](https://en.wikipedia.org/wiki/Fixed-point_arithmetic#Notations).

### Usage

- as a dependency of your Rust library

```sh
cargo add fixed2float
```

- as a dependency of your Python library

```sh
pip install fixed2float
```


### Examples
- Interactive notebook [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/urbanij/fixed2float/HEAD?labpath=py-fixed2float%2Fexamples%2Fnotebook.ipynb)
- [example.py](https://github.com/urbanij/fixed2float/blob/master/py-fixed2float/examples/example.py) (Python)
- [examples folder](https://github.com/urbanij/fixed2float/tree/master/examples) (Rust) 


<!-- ### Screencast -->

<!-- [![asciicast](https://asciinema.org/a/463661.svg)](https://asciinema.org/a/463661) -->

